summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexander Kurakin <kuraga333@mail.ru>2018-12-03 15:01:45 +0300
committerJason Zaman <perfinion@gentoo.org>2019-01-02 23:53:43 +0800
commit85db17b1f801939bd48a2cab14ddf52ca9f04bf3 (patch)
treeaa9b8aa7a19df29a5b90ce963d279cd84cf35c16 /net-misc
parentx11-apps/copyq: bump to 3.7.2 (diff)
downloadgentoo-85db17b1f801939bd48a2cab14ddf52ca9f04bf3.tar.gz
gentoo-85db17b1f801939bd48a2cab14ddf52ca9f04bf3.tar.bz2
gentoo-85db17b1f801939bd48a2cab14ddf52ca9f04bf3.zip
net-misc/rclone: bump 1.45
Closes: https://github.com/gentoo/gentoo/pull/10548 Signed-off-by: Alexander Kurakin <kuraga333@mail.ru> Signed-off-by: Jason Zaman <perfinion@gentoo.org>
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/rclone/Manifest1
-rw-r--r--net-misc/rclone/rclone-1.45.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/net-misc/rclone/Manifest b/net-misc/rclone/Manifest
index f2e61cde30d..852fac7d31c 100644
--- a/net-misc/rclone/Manifest
+++ b/net-misc/rclone/Manifest
@@ -1,3 +1,4 @@
DIST rclone-1.42.tar.gz 52702474 BLAKE2B 35def37dfb44a9fccabf0f6c3d0106da58bd1468a0c73e8b0a911e9bad48c6da58d303726544c76464230714af68d1727336eb9a4858337b346630f5df147a08 SHA512 69fadc1bc661e6278e461a16b49fb473bf2e35ceb85704c2b92e252422d372fbbbbb9d188cf9cb58d55b6d6c8267c599ea0d8a79fb4edb4a7bc0bac61de3eae1
DIST rclone-1.43.1.tar.gz 15965941 BLAKE2B 5bf0ac08ca75abfdf6bbcd8f5725b0ab3aa543c7dac043feaf301a6c0a23090c61086e3c16e674bbc2c29d7dff7fc19e7759c70e5990afb2ddd72e5610295cba SHA512 7da3b285a8ed401de95ec0b8bea21ca3db0313eb2012874b10fb65c4441311ba4b24b7dd3ea68a7bce17206ac065f091d2f6ef6a9662fe0111b9f00ff58e6c17
DIST rclone-1.44.tar.gz 16362501 BLAKE2B 28b4e444b83f361ae641eb7b09e150d46eaac09dd777e247e38f3e708a18e8e58d6a1c40829aba1c44c6c37e733dced2eae069a9b6e725adf0785b7c9959e47b SHA512 1207316ed12646a4ec5f9795d5cca1de9d2fa333f60a8b6dd157462813e2e6ad9ebf85d3d20b9b881d11dcd9ac162b5a674a53ff2af15a452afcfc04f7b34f5b
+DIST rclone-1.45.tar.gz 16494131 BLAKE2B 17ca4182af4efe23a367fc38226dc7fe146da55fea47a5f76773f1dcc3d3b629cca7964ffe41aa1e4dbd2fe36bd80545f336d2823a25ebb6b3effc768d4b46d2 SHA512 348dbd6a069f736219b7f925b6aa5234a4d70724ee5bfdb56067241063be36c44a091a37acb3285627803fa013329a6ef804aab4c0070ddaf322c5324b9e2a5a
diff --git a/net-misc/rclone/rclone-1.45.ebuild b/net-misc/rclone/rclone-1.45.ebuild
new file mode 100644
index 00000000000..e1f64b65bde
--- /dev/null
+++ b/net-misc/rclone/rclone-1.45.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build bash-completion-r1
+EGO_PN="github.com/ncw/${PN}"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64 ~arm ~x86"
+ EGIT_COMMIT="v${PV}"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="A program to sync files to and from various cloud storage providers"
+HOMEPAGE="https://rclone.org/"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_install() {
+ dobin ${PN}
+ doman src/${EGO_PN}/${PN}.1
+ dodoc src/${EGO_PN}/README.md
+
+ ./rclone genautocomplete bash ${PN}.bash || die
+ newbashcomp ${PN}.bash ${PN}
+
+ ./rclone genautocomplete zsh ${PN}.zsh || die
+ insinto /usr/share/zsh/site-functions
+ newins ${PN}.zsh _${PN}
+}